
QGIS Application - Bug report #6389

Print composer: opacity not working for maps

2012-09-21 10:08 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15646

Description

The parameter Opacity works correctly for legends and other objects, not with maps.

BTW, is there a reason to call it Opacity instead of Transparency, as in the rest of the GUI?

Associated revisions

Revision 81d865aa - 2013-02-06 03:23 PM - Nathan Woodrow

Merge pull request #408 from olivierdalang/showBackgroundCheckboxForComposerItem

[feature] added draw background checkbox in composer items

Fix #6389

History

#1 - 2012-10-05 03:05 PM - Werner Macho

Confirmed in master

Opacity is the inverse of Transparency and it seems to be used correctly in that case.

But I discovered that Transparency itself is calculated and displayed differently on several places in QGIS.

(Symbology, Colors, Diagrams).

Probably we should have a guideline to use Transparency or Opacity and how (0-100%, value 0-255, value 0-1)

#2 - 2013-01-29 03:44 AM - Olivier Dalang

- % Done changed from 0 to 100

This seems to fix it. Review would be appreciated !

https://github.com/olivierdalang/Quantum-GIS/commit/45a5fe720d101e25d6684b00f6612d8e1afdc597#commitcomment-2518939

#3 - 2013-02-06 06:23 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"81d865aaa7463b9624793f93cc158168451e58a8".
https://github.com/olivierdalang/Quantum-GIS/commit/45a5fe720d101e25d6684b00f6612d8e1afdc597#commitcomment-2518939


#4 - 2014-05-08 03:16 PM - Simon Dedman

- Status changed from Closed to Reopened

Request to reopen this. QGis 2.2 in Windows 7. Please see this album.

Image 1: Normal QGis window, 50% opacity/transparency/alpha on the management area boxes. All looks good.

Image 2: Print composer looking as terrible as it always does. Opacity not registered but print composer tends to look awful but produce the right result in

the output

Image 3: the output (png). Opacity ignored.

#5 - 2014-05-08 03:38 PM - Nyall Dawson

- Status changed from Reopened to Closed

- Assignee deleted (Marco Hugentobler)

Please don't reopen a random unrelated bug like this which isn't the same issue as you're experiencing. Also, I'd suggest adjusting your attitude, or

contributing some cash to help resolve your "looking as terrible as it always does" issue.

#6 - 2014-05-08 03:46 PM - Simon Dedman

Apologies for the attitude; I've spent a few days trying to do simple outputs of 2 layer maps and am a little surprised the what I assume to be rather a core

feature is such a struggle to use.

That aside, genuine question: how is this a random unrelated bug? Fair enough, reading again my problem is specific to composer, but that hardly makes

it random & unrelated, even if it is indeed not the same issue. I'll search the issue tracker again to see if this has been opened elsewhere.

#7 - 2014-05-09 02:46 AM - Giovanni Manghi

Simon Dedman wrote:

Apologies for the attitude; I've spent a few days trying to do simple outputs of 2 layer maps and am a little surprised the what I assume to be rather a

core feature is such a struggle to use.

That aside, genuine question: how is this a random unrelated bug? Fair enough, reading again my problem is specific to composer, but that hardly

makes it random & unrelated, even if it is indeed not the same issue. I'll search the issue tracker again to see if this has been opened elsewhere.

1) it does not look terrible, (in the print composer) to see the map object with its native resolution you must set "renderer" (other options are "cache" and

"rectangle") in its properties 

2) just tested here with my own data and it works as expected, so eventually, if you still see the issue, attaching a sample project/data would help

3) you have to eventually file a new ticket because this wasn't about the transparency given to a vector in its own properties, but was about the

opacity/transparency given to the object "map" inside the print composer

#8 - 2014-05-09 08:08 AM - Simon Dedman

1) Thanks, that's brilliant to know. A little off topic maybe, but is 'cache' the default simply because it's the lowest starting letter alphabetically?

2) Also works with 'renderer' in master (not today's update yet: 2.3.0+git20140505+70225a3~trusty1) on ubuntu, so I'll try on windows master and stable
https://imgur.com/a/zuNv2


with/without render on, and

3) Will file a new ticket. Cheers!
